Page MenuHomeFreeBSD

lang/ghc: Update to 8.4.4 and copy current version to lang/ghc843.
ClosedPublic

Authored by arrowd on Nov 6 2018, 11:28 AM.

Details

Summary

I decided to keep older versions of GHC ports in tree to easen producing binary distributions for Haskell Stack.
These ports are not intended to be used instead of lang/ghc port to build hs-* ports, so no fiddling with DEFAULT_VERSIONS is done.

Change log:

  • Add "amd64-portbld-freebsd" LLVM target.
  • Refresh patch for OSMem.c.

-Remove now obsolete hunk from patch-configure.ac.

-Pop "CONFIGURE_ENV+=OPT=opt50 LLC=llc50" out of ARM .if clause.

-Refresh patch-llvm-targets patch.

-Set "opt" and "llc" executables via settings file.

  • Create lang/ghc843 port from lang/ghc one.

-Factor out common GHC port code into bsd.ghc.mk.

  • Share pkg-plist between lang/ghc and lang/ghc843.

-lang/ghc: Add patch to fix build on ARM arches.

Test Plan

Done poud bulk */hs-* devel/stack textproc/cgrep on 12.0-BETA3 i386/amd64 and 11.2-RELEASE i386/amd64.
ARM testing done by Mikael Urankar <mikael.urankar@gmail.com>

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Nov 6 2018, 11:28 AM

Make sure you have create the new ports via svn cp, so that it has the history.

lang/ghc/bsd.ghc.mk
6 ↗(On Diff #50066)

^ new "created by" should not be added, unless you *really* want it :D

arrowd updated this revision to Diff 50311.Nov 12 2018, 11:02 AM
  • Remove "Created by" comment.
arrowd marked an inline comment as done.Nov 12 2018, 11:02 AM
tcberner accepted this revision.Nov 18 2018, 1:11 PM

Looks good to me.

Make sure you do an svn cp of lang/ghc to lang/ghc843!

This revision is now accepted and ready to land.Nov 18 2018, 1:11 PM
This revision was automatically updated to reflect the committed changes.